ninit-inittab(8)

NAME
ninit-inittab - convert /etc/inittab to service directory

SYNOPSIS
ninit-inittab inittab_file home_directory output_script

DESCRIPTION
ninit-inittab creates a script using /etc/inittab file. This script can be used to create a service directory easy.

OPTIONS

inittab_file
    input source file

home_directory
    home directory for ninit

output_script
    name of the output script

USAGE
Case A. If you don't have services in /etc/ninit you can start:

    cd /tmp
    ninit-inittab /etc/inittab /etc/ninit services.sh
    less services.sh
    /tmp/services.sh

Then check what the script has done in /etc/ninit Case B. If you already have a /etc/ninit directory with services, and don't want to make any changes there you can type:

    cd /tmp; cp /etc/inittab /tmp; vi inittab
    ninit-inittab /tmp/inittab /tmp/srv services.sh
    less services.sh
    /tmp/services.sh

Then check what the script has done in /tmp/srv. If you find something interesting there you can copy it to /etc/ninit

AUTHOR
ninit-inittab was written by Nikola Vladov. The aim was to easily convert a host running SysVinit to ninit. In my opinion creating services is very easy. Maybe you have to look in some already prepared service directory first. Ask google for "ninit archlinux" and you will find an excellent git repository with services for /etc/ninit

FILES
/etc/inittab
/etc/ninit/

SEE ALSO
ninit(8), ninit-runlevel(8), ninit-sysvinit(8), pututmpid(8)
init(8), inittab(5), runlevel(8)